VERSION 5.00
Object = "{C0198A54-BCBF-41C5-905B-7ABEDD470B1F}#1.0#0"; "SoundRec.ocx"
Begin VB.Form Form1 
   Caption         =   "Sound Recorder"
   ClientHeight    =   2025
   ClientLeft      =   6795
   ClientTop       =   8910
   ClientWidth     =   5880
   LinkTopic       =   "Form1"
   ScaleHeight     =   2025
   ScaleWidth      =   5880
   Begin VB.CommandButton BAbout 
      Caption         =   "About"
      Height          =   375
      Left            =   4440
      TabIndex        =   11
      Top             =   1560
      Width           =   1335
   End
   Begin VB.CommandButton BProperties 
      Caption         =   "Properties"
      Height          =   375
      Left            =   4440
      TabIndex        =   10
      Top             =   1080
      Width           =   1335
   End
   Begin VB.CommandButton BFormat 
      Caption         =   "Choose Codec"
      Height          =   375
      Left            =   4440
      TabIndex        =   9
      Top             =   600
      Width           =   1335
   End
   Begin VB.CheckBox BPaused 
      Caption         =   "Paused"
      Height          =   255
      Left            =   3360
      TabIndex        =   4
      Top             =   720
      Width           =   1095
   End
   Begin VB.CommandButton BStop 
      Caption         =   "Stop"
      Enabled         =   0   'False
      Height          =   375
      Left            =   2160
      TabIndex        =   3
      Top             =   600
      Width           =   975
   End
   Begin VB.CommandButton BStart 
      Caption         =   "Start"
      Height          =   375
      Left            =   1200
      TabIndex        =   2
      Top             =   600
      Width           =   855
   End
   Begin VB.TextBox FName 
      Height          =   375
      Left            =   1200
      TabIndex        =   0
      Text            =   "C:\Recorded.wav"
      Top             =   120
      Width           =   4575
   End
   Begin SoundRecLib.SoundRec SoundRec1 
      Left            =   120
      OleObjectBlob   =   "Form1.frx":0000
      Top             =   600
   End
   Begin VB.Label Registered 
      Caption         =   "Reg"
      ForeColor       =   &H000000C0&
      Height          =   255
      Left            =   3000
      TabIndex        =   12
      Top             =   1680
      Width           =   1215
   End
   Begin VB.Label Volume 
      Caption         =   "unknown"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1440
      TabIndex        =   8
      Top             =   1560
      Width           =   855
   End
   Begin VB.Label Label4 
      Caption         =   "Audio Volume:"
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   1560
      Width           =   1095
   End
   Begin VB.Label Duration 
      Caption         =   "unknown"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1440
      TabIndex        =   6
      Top             =   1200
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "Duration:"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   1200
      Width           =   1095
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "File name:"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub BAbout_Click()
   SoundRec1.AboutBox
End Sub

Private Sub BFormat_Click()
    SoundRec1.ChooseCodec
End Sub

Private Sub BPaused_Click()
    If (BPaused.Value) Then SoundRec1.Paused = True Else SoundRec1.Paused = False
End Sub

Private Sub BProperties_Click()
  SoundRec1.Properties
End Sub

Private Sub BStart_Click()
    SoundRec1.FileName = FName.Text
    SoundRec1.Start
    If (SoundRec1.LastError = LASTERR_CODEC) Then MsgBox ("Selected audio codec can not be used")
    If (SoundRec1.LastError = LASTERR_WAVEIN) Then MsgBox ("Could not open sound card. Is it in use currently?")
    If (SoundRec1.LastError = LASTERR_DEVICE_NOT_FOUND) Then MsgBox ("Device not found")
    If (SoundRec1.LastError = LASTERR_FILE) Then MsgBox ("Could not create file")
    If (SoundRec1.LastError = LASTERR_MEMORY) Then MsgBox ("Out of memory")
    If (SoundRec1.LastError = LASTERR_INTERNAL) Then MsgBox ("Internal error")
    If (SoundRec1.LastError = LASTERR_UNREGISTERED) Then MsgBox ("Please register the control!")
End Sub

Private Sub BStop_Click()
    SoundRec1.Stop
End Sub

Private Sub Form_Load()
   If (SoundRec1.Register(3,2,5)) Then Registered.Caption = "Registered" Else Registered.Caption = "Unregistered"
   BPaused_Click
   SoundRec1.FileName = FName.Text
End Sub

Private Sub SoundRec1_OnAudioVolume(ByVal AudioVolume As Long)
    Volume = AudioVolume
    Duration = SoundRec1.Duration
End Sub

Private Sub SoundRec1_OnStarted()
    BStart.Enabled = False
    BStop.Enabled = True
End Sub

Private Sub SoundRec1_OnStopped()
    BStart.Enabled = True
    BStop.Enabled = False
End Sub
